package org.exoplatform.services.xml.querying.impl.xtas;

import java.io.InputStream;
import java.io.ByteArrayInputStream;

/**
 * Compiled (by XSLT) XTAS instruction
 * @version $Id: Command.java 1027 2005-04-05 03:47:13Z tuan08 $
 */
public class Command
{
    private byte[] buf;

    public Command(byte[] bytes)
    {
        this.buf = bytes;
    }

    public InputStream getAsInputStream()
    {
        return new ByteArrayInputStream( buf );
    }

    public String toString()
    {
        return new String( buf );
    }

}
