/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.portal.community;

import java.util.List;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Dec 4, 2004
 * @version $Id$
 */
public interface CommunityConfigService {
  
  public CommunityPortal createCommunityPortal() ;
  public CommunityPortal getCommunityPortal(String groupId) throws Exception ; 
  public CommunityPortal findCommunityPortal(String user) throws Exception ;
  public void addCommunityPortal(CommunityPortal cp) throws Exception ;
  public void removeCommunityPortal(CommunityPortal cp) throws Exception ;
  
  public CommunityNavigation createCommunityNavigation() ;
  public List findCommunityNavigation(String user) throws Exception ;
  public CommunityNavigation getCommunityNavigation(String groupId) throws Exception ;
  public void addCommunityNavigation(CommunityNavigation cn) throws Exception ;
  public void removeCommunityNavigation(CommunityNavigation cn) throws Exception ;
}
