/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.portal.log.impl;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.services.portal.log.PortalActivitiesLogService;
import org.exoplatform.services.portal.log.UserActivitiesLogService;
import org.exoplatform.services.scheduler.BaseJob;
import org.exoplatform.services.scheduler.JobContext;

/**
 * Created by The eXo Platform SARL
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * 06-Oct-2005
 */
public class PeriodicSaveLogDataJob extends BaseJob {
  
  public  void  execute(JobContext context) throws Exception {
    //GregorianCalendar calendar = new GregorianCalendar() ;
    PortalContainer pcontainer = PortalContainer.getInstance() ;
    PortalActivitiesLogServiceImpl paservice = 
      (PortalActivitiesLogServiceImpl)pcontainer.getComponentInstanceOfType(PortalActivitiesLogService.class);
    
    paservice.saveMonitorData() ;
    
    UserActivitiesLogServiceImpl puaservice = 
      (UserActivitiesLogServiceImpl)pcontainer.getComponentInstanceOfType(UserActivitiesLogService.class);
    
    puaservice.saveMonitorData() ;
    
  }
}
